# my kubectl plugin scripts

To install
```
git https://git.rre.nu/jonas/kube-plugin.git "$HOME/kube-plugin"
export PATH=$PATH:$HOME/git/kube-plugin
```

Verify that the scripts are picked up in `kubectl`
```
kubectl plugin list
```

## kubectl-rsh
Creates a pod on the node and executes a shell on that node.
You need cluster admin rights and privileged pod execution rights

Usage:
  kubectl rsh [nodeName]

### Variables
| Name | Default | Desciption |
|------|---------|------------|
| KUBECTL_RSH_IMAGE | docker.io/library/busybox | The image used by the pod creating the shell |
| KUBECTL_RSH_IMAGE_TAG | latest | Image tag to use |
| KUBECTL_RSH_NAMESPACE | default | Namespace to create the rsh pod in |
| KUBECTL_RSH_POD_CREATE_TIMEOUT | 3 | Minutes to wait before failing to create pod |

## kubectl-deprecated_api
Lists APIs flagged as deprecated

Usage:
  kubectl deprecated-api
